Elementary Code Highlighting

Line markup functions. More...

## Functions

void | elm_code_line_status_set (Elm_Code_Line *line, Elm_Code_Status_Type status)
void | elm_code_line_status_text_set (Elm_Code_Line *line, const char *text)
void | elm_code_line_status_clear (Elm_Code_Line *line)
void | elm_code_line_token_add (Elm_Code_Line *line, int start, int end, int lines, Elm_Code_Token_Type type)
void | elm_code_line_tokens_clear (Elm_Code_Line *line)
unsigned int | elm_code_line_scope_get (Elm_Code_Line *line)
Eina_Bool | elm_code_line_contains_widget_cursor (Elm_Code_Line *line)

## Detailed Description

Line markup functions.

Functions for handling styling and marking up lines within elm code.